org.apache.ignite.internal.visor.cache

## Class VisorCacheConfigurationCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<Collection<IgniteUuid>,Map<IgniteUuid,VisorCacheConfiguration>>
    - - org.apache.ignite.internal.visor.cache.VisorCacheConfigurationCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Collection<IgniteUuid>>,Map<IgniteUuid,VisorCacheConfiguration>>

    @GridInternal
    public class VisorCacheConfigurationCollectorTask
    extends VisorOneNodeTask<Collection<IgniteUuid>,Map<IgniteUuid,VisorCacheConfiguration>>

Task that collect cache metrics from all nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfigurationCollectorTask()`

### Method Summary

Methods
`protected VisorCacheConfigurationCollectorJob` `job(Collection<IgniteUuid> arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfigurationCollectorTask

    public VisorCacheConfigurationCollectorTask()

### Method Detail

#### job

    protected VisorCacheConfigurationCollectorJob job(Collection<IgniteUuid> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Collection<IgniteUuid>,Map<IgniteUuid,VisorCacheConfiguration>,Map<IgniteUuid,VisorCacheConfiguration>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015